## Restore an archived pricing rule

### cURL

```bash
curl --request POST \
  --url https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}/restore \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}/restore"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}/restore', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}/restore",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}/restore"

req, _ := http.NewRequest("POST", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java

```java
HttpResponse<String> response = Unirest.post("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}/restore")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}/restore")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Examples

#### Success Response (200)
```json
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "model_pattern": "gpt-4o-mini",
  "input_cost_per_million_tokens": 0.15,
  "output_cost_per_million_tokens": 0.6,
  "effective_from": "2023-11-07T05:31:56Z",
  "is_archived": true,
  "model_provider": "<string>",
  "provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "catalog_slug": "<string>",
  "cache_read_cost_per_million_tokens": 123,
  "cache_write_cost_per_million_tokens": 123,
  "change_reason": "<string>",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_by_email": "<string>"
}
```

#### Error Response (400)
```json
{
  "error": "BadRequest",
  "message": "request_timeout_secs must be between 1 and 3600"
}
```
